Skip to main content
GET
/
products
/
reviews
/
count
Fetch Review Count as per status
curl --request GET \
  --url https://services.leadconnectorhq.com/products/reviews/count \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "data": [
    "<array>"
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Query Parameters

altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
rating
number

Key to filter the ratings

Example:

4

startDate
string

The start date for filtering reviews

Example:

"2023-01-01T00:00:00Z"

endDate
string

The end date for filtering reviews

Example:

"2023-12-31T23:59:59Z"

productId
string

Comma-separated list of product IDs

Example:

"60d21b4667d0d8992e610c88,60d21b4667d0d8992e610c89,60d21b4667d0d8992e610c8a"

storeId
string

Comma-separated list of store IDs

Example:

"60d21b4667d0d8992e610c85,60d21b4667d0d8992e610c86,60d21b4667d0d8992e610c87"

Response

Successful response

data
array[]
required

Array of review status counts

Last modified on March 4, 2026